# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['tidypolars']

package_data = \
{'': ['*']}

install_requires = \
['polars>=0.9.12']

setup_kwargs = {
    'name': 'tidypolars',
    'version': '0.1.3',
    'description': 'Tidy interface to polars',
    'long_description': '# tidypolars\n\ntidypolars is a data frame library built on top of the blazingly fast [polars](https://github.com/pola-rs/polars) library that gives access to methods and functions familiar to R tidyverse users.\n\n## Installation\n```bash\n$ pip3 install tidypolars\n```\n\n## Usage\n\n```python\nimport tidypolars as tp\nfrom tidypolars import col\n\ntest_df = tp.tidyframe({\'x\': range(3), \'y\': range(4, 7), \'z\': [\'a\', \'a\', \'b\']})\n\n(\n    test_df\n    .select(\'x\', \'y\', \'z\')\n    .filter(col(\'x\') < 4, col(\'y\') > 1)\n    .arrange(\'x\', \'y\')\n    .mutate(double_x = col(\'x\') * 2,\n            x_plus_y = col(\'x\') + col(\'y\'))\n)\nshape: (3, 5)\n┌─────┬─────┬─────┬──────────┬──────────┐\n│ x   ┆ y   ┆ z   ┆ double_x ┆ x_plus_y │\n│ --- ┆ --- ┆ --- ┆ ---      ┆ ---      │\n│ i64 ┆ i64 ┆ str ┆ i64      ┆ i64      │\n╞═════╪═════╪═════╪══════════╪══════════╡\n│ 0   ┆ 4   ┆ "a" ┆ 0        ┆ 4        │\n├╌╌╌╌╌┼╌╌╌╌╌┼╌╌╌╌╌┼╌╌╌╌╌╌╌╌╌╌┼╌╌╌╌╌╌╌╌╌╌┤\n│ 1   ┆ 5   ┆ "a" ┆ 2        ┆ 6        │\n├╌╌╌╌╌┼╌╌╌╌╌┼╌╌╌╌╌┼╌╌╌╌╌╌╌╌╌╌┼╌╌╌╌╌╌╌╌╌╌┤\n│ 2   ┆ 6   ┆ "b" ┆ 4        ┆ 8        │\n└─────┴─────┴─────┴──────────┴──────────┘\n```\n\n## Contributing\n\nInterested in contributing? Check out the contributing guidelines. Please note that this project is released with a Code of Conduct. By contributing to this project, you agree to abide by its terms.\n\n## License\n\n`tidypolars` was created by Mark Fairbanks. It is licensed under the terms of the MIT license.\n\n## Credits\n\n`tidypolars` was created with [`cookiecutter`](https://cookiecutter.readthedocs.io/en/latest/) and the `py-pkgs-cookiecutter` [template](https://github.com/py-pkgs/py-pkgs-cookiecutter).\n',
    'author': 'Mark Fairbanks',
    'author_email': None,
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<3.11',
}


setup(**setup_kwargs)
